! gtvaropen.f90 - gtool4 file interface
! Copyright (C) GFD Dennou Club, 2000.  All rights reserved

subroutine GTVarOpen(var, url, writable, err)
    use dc_string, only: VSTRING    
    use gtdata_types, only: GT_VARIABLE
    use an_generic, only: ANVarOpen
    type(GT_VARIABLE), intent(inout):: var
    type(VSTRING), intent(in):: url
    logical, intent(in), optional:: writable
    logical, intent(out), optional:: err
continue
    allocate(var%an)
    call ANVarOpen(var%an, url, writable, err)
end subroutine
